GNU bug report logs - #18698
Our WindowMaker wrapper pollutes PATH in the entire X session

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Mark H Weaver <mhw@HIDDEN>; dated Mon, 13 Oct 2014 00:51:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 18698 <at> debbugs.gnu.org:


Received: (at 18698) by debbugs.gnu.org; 14 Feb 2015 05:22:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 14 00:22:29 2015
Received: from localhost ([127.0.0.1]:42561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YMVBU-0007I3-OT
	for submit <at> debbugs.gnu.org; Sat, 14 Feb 2015 00:22:29 -0500
Received: from mail-pa0-f49.google.com ([209.85.220.49]:42450)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <iyzsong@HIDDEN>) id 1YMVBS-0007Hn-Cx
 for 18698 <at> debbugs.gnu.org; Sat, 14 Feb 2015 00:22:26 -0500
Received: by mail-pa0-f49.google.com with SMTP id fb1so23203594pad.8
 for <18698 <at> debbugs.gnu.org>; Fri, 13 Feb 2015 21:22:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-type:content-transfer-encoding;
 bh=FnEaGsnZ1+c+gysr5WjdSK+pR2Kpcs3oMh17d8X10rc=;
 b=y//vXjt/Ke/bRKX4E1FymAMa2HOxYDeOYyKGasNravx3fux9wN665hTzj9c3+C+5HN
 gQGgXV8/S3OpCoINuow7nIBpLxaY/WEh467DEouZ4H34XFVmsXHpSYwSF1QHTmt6NRqD
 ZD+7NO2ekpIqCOfMX8Z1lJRGg85yvIXVO3Q+ATEiPVtDqLgz+sVLXEfVZBi+Zj+Iac1q
 S1y/acK8B1kjW83A73arkU5m2cLqmH7+Sh1AAZBiNiRgSHfZvTfKeoFKUEEhGcqgPZb0
 VWZE6JkHSn6XQ6ZgCBgWD5KEyI72hw5YJl3i/dC2TPG2dg9mNAK5fE2N81shmkd4+BOZ
 5ETg==
X-Received: by 10.70.45.108 with SMTP id l12mr21195266pdm.112.1423891340551;
 Fri, 13 Feb 2015 21:22:20 -0800 (PST)
Received: from localhost ([108.61.250.36])
 by mx.google.com with ESMTPSA id z1sm8226082pda.78.2015.02.13.21.22.17
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 13 Feb 2015 21:22:19 -0800 (PST)
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire
 X	session
In-Reply-To: <87y4o2q439.fsf@HIDDEN>
References: <877g04iyku.fsf@HIDDEN>
 <idjzj8m58t9.fsf@HIDDEN> <87egpwd3wt.fsf@HIDDEN>
 <87y4o2q439.fsf@HIDDEN>
User-Agent: Notmuch/0.18.1 (http://notmuchmail.org) Emacs/24.4.1
 (x86_64-unknown-linux-gnu)
Date: Sat, 14 Feb 2015 13:22:30 +0800
Message-ID: <87h9upm5ih.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18698
Cc: 18698 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> =E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN> skribis:
>
>> Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:
>>
>>> The fix may have resulted in unintended side-effects.  On a fresh
>>> installation of the System Distribution v0.8.1 WindowMaker is installed
>>> by default, but it is not completely functional.
>>>
>>> For example, the attempt to change the style via the menu results in
>>> this error to be displayed:
>>>
>>>     Could not execute command:
>>>         setstyle /gnu/store/...windowmaker.../share/WindowMaker/Styles/=
Black.style
>>>
>>> Likewise, selecting "Configure Window Maker" from the right-click menu
>>> results in this error:
>>>
>>>     Could not execute command: exec WPrefs
>>>
>>> The "setstyle" executable is located in
>>> /gnu/store/...windowmaker.../bin/, but is not in the PATH.
>> Yes, the $out/bin of windowmaker is not in $PATH, and same for sawfish.
>>
>> Instead of wrapping every executable of session-type, we can:
>>
>> #1: Add the package to system profile ('packages').
>>   It's not clear to me how to do it now, until we have something
>>   like the NixOS's module system.
>
> What I have in mind is to add a =E2=80=98packages=E2=80=99 field in =E2=
=80=98service=E2=80=99.  That
> would allow service implementations to contribute packages to the global
> profile.  Thoughts?
It's fine, but we may also need a 'dbus-service' field (for wicd).
>
>> #2: Make SLiM use '/run/current-system/profile/share/xsessions' as
>>     session_dir.
>>   So simply add a package providing xsession file to 'packages' should
>>   make it available to SLiM.  And all DE and many window-managers provide
>>   xsession files already (eg: openbox, sawfish, xfce), we can patch
>>   the rest (eg: WindowMaker) to install one.
>
> IIUC the bug initially reported here would remain: the user=E2=80=99s $PA=
TH
> would be polluted with the window manager=E2=80=99s stuff, no?
I think the 'polluted' means we have a $PATH contains:
  /gnu/store/xxx-windowmaker/bin
install it to profile doesn't have this issue.
>
> Thanks,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#18698; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 18698 <at> debbugs.gnu.org:


Received: (at 18698) by debbugs.gnu.org; 12 Feb 2015 20:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 12 15:15:26 2015
Received: from localhost ([127.0.0.1]:41004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YM0AX-0001mK-QW
	for submit <at> debbugs.gnu.org; Thu, 12 Feb 2015 15:15:26 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:57163 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ludo@HIDDEN>) id 1YM0AV-0001mB-G8
 for 18698 <at> debbugs.gnu.org; Thu, 12 Feb 2015 15:15:24 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:60775 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1YM0AU-0005Ho-Kq; Thu, 12 Feb 2015 15:15:23 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire
 X	session
References: <877g04iyku.fsf@HIDDEN>
 <idjzj8m58t9.fsf@HIDDEN>
 <87egpwd3wt.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 =?utf-8?Q?Pluvi=C3=B4se?= an 223 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0xEA52ECF4
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 83C4 F8E5 10A3 3B4C 5BEA  D15D 77DD 95E2 EA52 ECF4
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 12 Feb 2015 21:15:06 +0100
In-Reply-To: <87egpwd3wt.fsf@HIDDEN> (=?utf-8?B?IuWui+aWh+atpiIncw==?=
 message of "Wed, 11 Feb 2015 20:32:50 +0800")
Message-ID: <87y4o2q439.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18698
Cc: 18698 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

=E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN> skribis:

> Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:
>
>> The fix may have resulted in unintended side-effects.  On a fresh
>> installation of the System Distribution v0.8.1 WindowMaker is installed
>> by default, but it is not completely functional.
>>
>> For example, the attempt to change the style via the menu results in
>> this error to be displayed:
>>
>>     Could not execute command:
>>         setstyle /gnu/store/...windowmaker.../share/WindowMaker/Styles/B=
lack.style
>>
>> Likewise, selecting "Configure Window Maker" from the right-click menu
>> results in this error:
>>
>>     Could not execute command: exec WPrefs
>>
>> The "setstyle" executable is located in
>> /gnu/store/...windowmaker.../bin/, but is not in the PATH.
> Yes, the $out/bin of windowmaker is not in $PATH, and same for sawfish.
>
> Instead of wrapping every executable of session-type, we can:
>
> #1: Add the package to system profile ('packages').
>   It's not clear to me how to do it now, until we have something
>   like the NixOS's module system.

What I have in mind is to add a =E2=80=98packages=E2=80=99 field in =E2=80=
=98service=E2=80=99.  That
would allow service implementations to contribute packages to the global
profile.  Thoughts?

> #2: Make SLiM use '/run/current-system/profile/share/xsessions' as
>     session_dir.
>   So simply add a package providing xsession file to 'packages' should
>   make it available to SLiM.  And all DE and many window-managers provide
>   xsession files already (eg: openbox, sawfish, xfce), we can patch
>   the rest (eg: WindowMaker) to install one.

IIUC the bug initially reported here would remain: the user=E2=80=99s $PATH
would be polluted with the window manager=E2=80=99s stuff, no?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#18698; Package guix. Full text available.

Message received at 18698 <at> debbugs.gnu.org:


Received: (at 18698) by debbugs.gnu.org; 11 Feb 2015 12:32:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 11 07:32:48 2015
Received: from localhost ([127.0.0.1]:39886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YLWTH-0004Fg-Po
	for submit <at> debbugs.gnu.org; Wed, 11 Feb 2015 07:32:48 -0500
Received: from mail-pd0-f181.google.com ([209.85.192.181]:39324)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <iyzsong@HIDDEN>) id 1YLWTG-0004FS-2A
 for 18698 <at> debbugs.gnu.org; Wed, 11 Feb 2015 07:32:46 -0500
Received: by pdjy10 with SMTP id y10so4124091pdj.6
 for <18698 <at> debbugs.gnu.org>; Wed, 11 Feb 2015 04:32:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:in-reply-to:references:user-agent:date:message-id
 :mime-version:content-type;
 bh=IA5bCCrphNr3zOmPFxPWQXj7P9pgLfKtMHNwdh+YYa8=;
 b=dhtKnvpfueczXj9Nq35P5fsEav6VscxwBjDf+AEb59d6xnCJreWZdWLeF0XLDHS/9B
 khvXWrPu3kV4KWknu9gsiniEHP3REuxH/wWxY5V6+8ynJFZT9jN/HlAdNNp0YnRNxRSM
 wuzOnYWvzyDUG7MlgJP9GgWQFkkpue12ylvoaMz9eeFaMKI8RI3XOpBzSS4JeNLSy3Uz
 FOvJ3MNiCRjY6UJjEtze0uK1fgRZMGAl8nqI9qR2OsDXS0h4KluPmYkBqDqixALy6eW4
 Rq/i/OpJhULoOng5iNTGTJ+cvBjYlSpcpnP6rJTdR+QhNVtp7ULUnTEc+LSvfvljR4A+
 HOYQ==
X-Received: by 10.70.0.238 with SMTP id 14mr43875493pdh.34.1423657960158;
 Wed, 11 Feb 2015 04:32:40 -0800 (PST)
Received: from localhost ([108.61.250.36])
 by mx.google.com with ESMTPSA id ki2sm861380pdb.33.2015.02.11.04.32.38
 for <18698 <at> debbugs.gnu.org>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 11 Feb 2015 04:32:39 -0800 (PST)
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: 18698 <at> debbugs.gnu.org
Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire
 X	session
In-Reply-To: <idjzj8m58t9.fsf@HIDDEN>
References: <877g04iyku.fsf@HIDDEN>
 <idjzj8m58t9.fsf@HIDDEN>
User-Agent: Notmuch/0.18.1 (http://notmuchmail.org) Emacs/24.4.1
 (x86_64-unknown-linux-gnu)
Date: Wed, 11 Feb 2015 20:32:50 +0800
Message-ID: <87egpwd3wt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18698
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:

> The fix may have resulted in unintended side-effects.  On a fresh
> installation of the System Distribution v0.8.1 WindowMaker is installed
> by default, but it is not completely functional.
>
> For example, the attempt to change the style via the menu results in
> this error to be displayed:
>
>     Could not execute command:
>         setstyle /gnu/store/...windowmaker.../share/WindowMaker/Styles/Black.style
>
> Likewise, selecting "Configure Window Maker" from the right-click menu
> results in this error:
>
>     Could not execute command: exec WPrefs
>
> The "setstyle" executable is located in
> /gnu/store/...windowmaker.../bin/, but is not in the PATH.
Yes, the $out/bin of windowmaker is not in $PATH, and same for sawfish.

Instead of wrapping every executable of session-type, we can:

#1: Add the package to system profile ('packages').
  It's not clear to me how to do it now, until we have something
  like the NixOS's module system.

#2: Make SLiM use '/run/current-system/profile/share/xsessions' as
    session_dir.
  So simply add a package providing xsession file to 'packages' should
  make it available to SLiM.  And all DE and many window-managers provide
  xsession files already (eg: openbox, sawfish, xfce), we can patch
  the rest (eg: WindowMaker) to install one.

I would like to go #2, WDYT?




Information forwarded to bug-guix@HIDDEN:
bug#18698; Package guix. Full text available.

Message received at 18698 <at> debbugs.gnu.org:


Received: (at 18698) by debbugs.gnu.org; 10 Feb 2015 11:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 10 06:02:09 2015
Received: from localhost ([127.0.0.1]:38949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YL8a0-0005iH-Qc
	for submit <at> debbugs.gnu.org; Tue, 10 Feb 2015 06:02:09 -0500
Received: from sinope.bbbm.mdc-berlin.de ([141.80.25.23]:57594)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1YL8Zy-0005hm-Pv
 for 18698 <at> debbugs.gnu.org; Tue, 10 Feb 2015 06:02:07 -0500
Received: from localhost (localhost [127.0.0.1])
 by sinope.bbbm.mdc-berlin.de (Postfix) with ESMTP id F0C6E280672
 for <18698 <at> debbugs.gnu.org>; Tue, 10 Feb 2015 12:02:00 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:received:received:received; s=mdc; t=
 1423566114; x=1425380515; bh=UwNt/E5yAJuCSXaMsdbUVBzb1U1pCSc+fcF
 c1kolqt0=; b=hh0hnhgIQrq7/XLCTg+xgf5eOiwv6WUVDyvS8DNs3HJeyiOrWNX
 5tWjDf/+aHKGbW/xoQ+oT+vtdhkWhy9kiqS6PdX5oqrmIK9fUPBBiJ9+/cSqkl3n
 j8XNe9bqtNI4ebiGN62k45oj0S6OoOjka1/4x3ROngsbE3EFhSrIehR8=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id blJb9fJ7KLRg for <18698 <at> debbugs.gnu.org>;
 Tue, 10 Feb 2015 12:01:54 +0100 (CET)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 by sinope.bbbm.mdc-berlin.de (Postfix) with ESMTP
 for <18698 <at> debbugs.gnu.org>; Tue, 10 Feb 2015 12:01:54 +0100 (CET)
Received: from localhost (141.80.180.135) by HTCATWO.mdc-berlin.net
 (141.80.180.125) with Microsoft SMTP Server (TLS) id 14.3.210.2; Tue, 10 Feb
 2015 12:01:54 +0100
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <18698 <at> debbugs.gnu.org>
Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire X
 session
Date: Tue, 10 Feb 2015 12:01:54 +0100
Message-ID: <idjzj8m58t9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.180.135]
X-TM-AS-Product-Ver: SMEX-10.0.0.4211-7.500.1017-21318.005
X-TM-AS-Result: No--10.154300-0.000000-31
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18698
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The fix may have resulted in unintended side-effects.  On a fresh
installation of the System Distribution v0.8.1 WindowMaker is installed
by default, but it is not completely functional.

For example, the attempt to change the style via the menu results in
this error to be displayed:

    Could not execute command:
        setstyle /gnu/store/...windowmaker.../share/WindowMaker/Styles/Black.style

Likewise, selecting "Configure Window Maker" from the right-click menu
results in this error:

    Could not execute command: exec WPrefs

The "setstyle" executable is located in
/gnu/store/...windowmaker.../bin/, but is not in the PATH.

~~ Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#18698; Package guix. Full text available.
bug unarchived. Request was from Ricardo Wurmus <ricardo.wurmus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 18698-done <at> debbugs.gnu.org:


Received: (at 18698-done) by debbugs.gnu.org; 13 Nov 2014 07:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 13 02:59:22 2014
Received: from localhost ([127.0.0.1]:59050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XopJK-000851-JJ
	for submit <at> debbugs.gnu.org; Thu, 13 Nov 2014 02:59:22 -0500
Received: from hera.aquilenet.fr ([141.255.128.1]:46148)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ludo@HIDDEN>) id 1XopJH-00084r-3R
 for 18698-done <at> debbugs.gnu.org; Thu, 13 Nov 2014 02:59:20 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id A81511B0A;
 Thu, 13 Nov 2014 08:59:17 +0100 (CET)
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id coUH7ra9ARZA; Thu, 13 Nov 2014 08:59:17 +0100 (CET)
Received: from pluto (pluto.bordeaux.inria.fr [193.50.110.57])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 7092913D9;
 Thu, 13 Nov 2014 08:59:17 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire X
 session
References: <877g04iyku.fsf@HIDDEN>
Date: Thu, 13 Nov 2014 08:59:16 +0100
In-Reply-To: <877g04iyku.fsf@HIDDEN> (Mark H. Weaver's message of "Sun, 
 12 Oct 2014 20:48:49 -0400")
Message-ID: <87r3x7o7jf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18698-done
Cc: 18698-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Mark H Weaver <mhw@HIDDEN> skribis:

> We install a wrapper script around WindowMaker that prepends
> /gnu/store/XXX-windowmaker-XXX/bin to $PATH.  This setting is propagated
> to all subprocesses in the entire X session, which is suboptimal.  It
> would be nice to find another solution, preferably by using absolute
> pathnames when launching subprocesses run by WindowMaker.

Fixed in be05e64.

Ludo=E2=80=99.




Notification sent to Mark H Weaver <mhw@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to ludo@HIDDEN (Ludovic Courtès):
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2014 00:50:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 12 20:50:05 2014
Received: from localhost ([127.0.0.1]:42269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XdTps-0003gZ-GC
	for submit <at> debbugs.gnu.org; Sun, 12 Oct 2014 20:50:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45994)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mhw@HIDDEN>) id 1XdTpo-0003g4-MI
 for submit <at> debbugs.gnu.org; Sun, 12 Oct 2014 20:50:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1XdTpe-0004hd-5j
 for submit <at> debbugs.gnu.org; Sun, 12 Oct 2014 20:50:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33910)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1XdTpe-0004hZ-2p
 for submit <at> debbugs.gnu.org; Sun, 12 Oct 2014 20:49:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47680)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1XdTpW-0000Rm-DX
 for bug-guix@HIDDEN; Sun, 12 Oct 2014 20:49:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1XdTpO-0004gC-Uq
 for bug-guix@HIDDEN; Sun, 12 Oct 2014 20:49:42 -0400
Received: from world.peace.net ([96.39.62.75]:38614)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1XdTpO-0004eh-Qz
 for bug-guix@HIDDEN; Sun, 12 Oct 2014 20:49:34 -0400
Received: from c-24-62-95-23.hsd1.ma.comcast.net ([24.62.95.23]
 helo=yeeloong.lan)
 by world.peace.net with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <mhw@HIDDEN>)
 id 1XdTp8-0002kw-AJ; Sun, 12 Oct 2014 20:49:18 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Our WindowMaker wrapper pollutes PATH in the entire X session
Date: Sun, 12 Oct 2014 20:48:49 -0400
Message-ID: <877g04iyku.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

We install a wrapper script around WindowMaker that prepends
/gnu/store/XXX-windowmaker-XXX/bin to $PATH.  This setting is propagated
to all subprocesses in the entire X session, which is suboptimal.  It
would be nice to find another solution, preferably by using absolute
pathnames when launching subprocesses run by WindowMaker.

      Mark




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#18698; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 Feb 2015 05:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.